Loading...
Searching...
No Matches
dolfin::FacetCell Class Reference

`#include <FacetCell.h>`

Inheritance diagram for dolfin::FacetCell:
[legend]
Collaboration diagram for dolfin::FacetCell:
[legend]

## Public Member Functions

| FacetCell (const BoundaryMesh &mesh, const Cell &facet)
| Create cell on mesh corresponding to given facet (cell) on boundary.
| ~FacetCell ()
| Destructor.
std::size_t | facet_index () const
| Return local index of facet with respect to the cell.
Public Member Functions inherited from dolfin::Cell
| Cell ()
| Create empty cell.
| Cell (const Mesh &mesh, std::size_t index)
| ~Cell ()
| Destructor.
CellType::Type | type () const
| Return type of cell.
std::size_t | num_vertices () const
| Return number of vertices of cell.
std::size_t | orientation () const
std::size_t | orientation (const Point &up) const
double | volume () const
double | h () const
double | circumradius () const
double | inradius () const
double | radius_ratio () const
double | squared_distance (const Point &point) const
double | distance (const Point &point) const
double | normal (std::size_t facet, std::size_t i) const
Point | normal (std::size_t facet) const
Point | cell_normal () const
double | facet_area (std::size_t facet) const
void | order (const std::vector< std::int64_t > &local_to_global_vertex_indices)
bool | ordered (const std::vector< std::int64_t > &local_to_global_vertex_indices) const
bool | contains (const Point &point) const
bool | collides (const Point &point) const
bool | collides (const MeshEntity &entity) const
std::vector< Point > | intersection (const MeshEntity &entity) const
void | get_coordinate_dofs (std::vector< double > &coordinates) const
| Get cell coordinate dofs (not vertex coordinates).
void | get_vertex_coordinates (std::vector< double > &coordinates) const
| Get cell vertex coordinates (not coordinate dofs).
void | get_cell_data (ufc::cell &ufc_cell, int local_facet=-1) const
| Fill UFC cell with miscellaneous data.
void | get_cell_topology (ufc::cell &ufc_cell) const
| Fill UFC cell with topology data.
Public Member Functions inherited from dolfin::MeshEntity
| MeshEntity ()
| Default Constructor.
| MeshEntity (const Mesh &mesh, std::size_t dim, std::size_t index)
virtual | ~MeshEntity ()
| Destructor.
void | init (const Mesh &mesh, std::size_t dim, std::size_t index)
bool | operator== (const MeshEntity &e) const
bool | operator!= (const MeshEntity &e) const
const Mesh & | mesh () const
std::size_t | dim () const
std::size_t | index () const
std::int64_t | global_index () const
std::size_t | num_entities (std::size_t dim) const
std::size_t | num_global_entities (std::size_t dim) const
const unsigned int * | entities (std::size_t dim) const
std::size_t | mesh_id () const
bool | incident (const MeshEntity &entity) const
std::size_t | index (const MeshEntity &entity) const
Point | midpoint () const
bool | is_ghost () const
std::set< unsigned int > | sharing_processes () const
bool | is_shared () const
unsigned int | owner () const
std::string | str (bool verbose) const

## Additional Inherited Members

Protected Attributes inherited from dolfin::MeshEntity
Mesh const * | _mesh
std::size_t | _dim
std::size_t | _local_index

## Detailed Description

This class represents a cell in a mesh incident to a facet on the boundary. It is useful in cases where one needs to iterate over a boundary mesh and access the corresponding cells in the original mesh.

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/FacetCell.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/FacetCell.cpp